Bug 13553 - quotas don't work with SMB2
quotas don't work with SMB2
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 13563
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-31 11:34 UTC by Noel Power
Modified: 2018-09-04 11:48 UTC (History)
1 user (show)

See Also:


Attachments
backport of patch to 4.8 (78.86 KB, patch)
2018-08-01 10:31 UTC, Noel Power
jra: review-
Details
backport of patch to 4.9 (78.86 KB, patch)
2018-08-01 10:32 UTC, Noel Power
jra: review+
Details
backport of patch to 4.8 (78.85 KB, patch)
2018-08-07 09:30 UTC, Noel Power
jra: review+
Details
backport of additional patches to 4.8 (5.27 KB, patch)
2018-08-13 16:47 UTC, Noel Power
no flags Details
backport of additional patches to 4.9 (5.27 KB, patch)
2018-08-13 16:48 UTC, Noel Power
no flags Details
backport of additional patches to 4.8 (with BUG tag) (5.53 KB, patch)
2018-08-13 16:50 UTC, Noel Power
jra: review+
Details
backport of additional patches to 4.9 (with BUG tag) (5.53 KB, patch)
2018-08-13 16:51 UTC, Noel Power
jra: review+
Details
Rollup patch for 4.7 (87.53 KB, patch)
2018-09-04 11:48 UTC, Noel Power
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2018-07-31 11:34:56 UTC
SMB2_GETINFO_QUOTA & SMB2_SETINFO_QUOTA are not supported in samba server. This means modern installation (where SMB1 is disabled) can't handle quotas at all.

Attempting to use smbcquotas for example (where smb2 is default) results in

smbcquotas -Uroot%$password -L  //$machine/$quotashare
NT_STATUS_NOT_SUPPORTED cli_list_user_quota
Comment 1 Noel Power 2018-08-01 10:31:53 UTC
Created attachment 14381 [details]
backport of patch to 4.8
Comment 2 Noel Power 2018-08-01 10:32:29 UTC
Created attachment 14382 [details]
backport of patch to 4.9
Comment 3 Jeremy Allison 2018-08-01 22:55:23 UTC
Noel, you need to request Team engineer review (assign to jra@samba.org with a '?' request) to get these into 4.8.next, 4.9.next.

Just trying to help :-).
Comment 4 Andrew Bartlett 2018-08-02 06:09:00 UTC
(In reply to Jeremy Allison from comment #3)
Noel, I've raised the flags for you.

Let the bugzilla admins know if you can't raise flags, I've had some trouble with new team members before, but never got to the bottom of it,
Comment 5 Jeremy Allison 2018-08-06 19:11:21 UTC
Comment on attachment 14381 [details]
backport of patch to 4.8

Patch doesn't apply to current 4.8.x. Noel, can you take a look please ?
Comment 6 Noel Power 2018-08-07 09:30:34 UTC
Created attachment 14398 [details]
backport of patch to 4.8
Comment 7 Noel Power 2018-08-07 09:38:12 UTC
(In reply to Jeremy Allison from comment #5)
Sorry Jeremy, I don't know how I managed that 'cause I still have the 4.8.3 branch and I just regenerated the patch again. I guess I somehow generated from the wrong place or branch.

We should hold off on backporting 4.8 & 4.9 just yet (e.g. assigning to Karolin). There is a message on the list indicating a problem when quota support is not detected (the list also mentions that quota detection doesn't appear to work for AIX - a separate but different issue) I need to have a look into these and we need at least to be able to handle 'no quota support' properly before backporting. I will open a separate bug/bugs for these problems
Comment 8 Jeremy Allison 2018-08-09 21:44:05 UTC
Re-assigning to Karolin for inclusion in 4.9.next, 4.8.next.

Noel, you might want to look at Volker's cleanups also.
Comment 9 Karolin Seeger 2018-08-13 10:47:23 UTC
(In reply to Jeremy Allison from comment #8)
Pushed to autobuild-v4-{9,8}-test.
Comment 10 Noel Power 2018-08-13 16:37:51 UTC
reopening (actually putting back to new) to reflect some outstanding issues
Comment 11 Noel Power 2018-08-13 16:47:38 UTC
Created attachment 14409 [details]
backport of additional patches to 4.8

Backport of additional patches from Volker relating to CID fixes for code introduced by this bug.
Comment 12 Noel Power 2018-08-13 16:48:56 UTC
Created attachment 14410 [details]
backport of additional patches to 4.9

Backport of additional patches from Volker relating to CID fixes for code introduced by this bug.
Comment 13 Noel Power 2018-08-13 16:50:41 UTC
Created attachment 14411 [details]
backport of additional patches to 4.8 (with BUG tag)
Comment 14 Noel Power 2018-08-13 16:51:14 UTC
Created attachment 14412 [details]
backport of additional patches to 4.9 (with BUG tag)
Comment 15 Noel Power 2018-08-13 16:52:57 UTC
Jeremy I also have attached versions of the backported fixes with the BUG tag (for this bug) wasn't sure whether to do that or not, let me know and I will obsolete the uncessary versions (with/without BUG tag)
Comment 16 Jeremy Allison 2018-08-13 20:26:07 UTC
Re-assigning to Karolin. Karolin, can you include the "backport of additional patches to 4.X" fixes to 4.8.next, 4.9.next to complete the bugfix ?

Thanks,

Jeremy.
Comment 17 Karolin Seeger 2018-08-14 11:16:50 UTC
(In reply to Jeremy Allison from comment #16)
Pushed additional backports to autobuild-v4-{8,9}-test.
Comment 18 Karolin Seeger 2018-08-24 09:53:50 UTC
(In reply to Karolin Seeger from comment #17)
Pushed to both branches.
Closing out bug report.

Thanks!
Comment 19 Noel Power 2018-09-04 11:48:12 UTC
Created attachment 14474 [details]
Rollup patch for 4.7

Just in case it is useful for someone this patch is a backport rollup of the quota patches, the additional CID fixes and the related patch from issue #13563 for 4.7